curl --request GET \
--url https://api.copper.co/platform/clearloop/portfolios/{portfolioId}import requests
url = "https://api.copper.co/platform/clearloop/portfolios/{portfolioId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.copper.co/platform/clearloop/portfolios/{portfolioId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"clientAccountId": "<string>",
"custodyType": "segregated-trust-wallet",
"delegationsEnabled": true,
"disabledDelegationsReason": "<string>",
"disabledUndelegationsReason": "<string>",
"organizationId": "<string>",
"portfolioId": "<string>",
"settlementDetails": {
"comments": "<string>",
"status": "not-yet-settled"
},
"settlementStatus": "not-yet-settled",
"undelegationsEnabled": true
}{
"error": "bad-request",
"message": "<string>"
}{
"error": "forbidden",
"message": "<string>"
}{
"error": "conflict",
"message": "<string>"
}Get ClearLoop Portfolio by Id
Path Parameters
Response
OK
Identifier of the client account associated with the ClearLoop portfolio
Custody type of the ClearLoop portfolio, which indicates how the portfolio is held by the custodian. Possible values include segregated-trust-wallet, clearloop-omnibus, and external.. See details
segregated-trust-wallet, clearloop-omnibus, external Indicates whether delegations are enabled for the ClearLoop portfolio
Reason why delegations are disabled for the ClearLoop portfolio. Example: CL-SETTLEMENTS-1, which means that delegation is disabled due to an upcoming or pending settlement
Reason why undelegations are disabled for the ClearLoop portfolio. Example: CL-SETTLEMENTS-1, which means that undelegation is disabled due to an upcoming or pending settlement
Identifier of the client organisation holding the ClearLoop portfolio
Identifier of the ClearLoop portfolio
Settlement details associated with the ClearLoop portfolio
Show child attributes
Show child attributes
Settlement status of the last settlement cycle. See details
not-yet-settled, eligibility-checks, awaiting-exchange-calculation, in-progress, order-processing, completed, failed, excluded, paused-copper, disabled Indicates whether undelegations are enabled for the ClearLoop portfolio
Was this page helpful?